Developer
    Bus Booking API
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • cityList
      GET
    • searchBus
      GET
    • seatLayout
      POST
    • blockSeat
      POST
    • bookSeat
      GET
    • cancelTicket
      POST

      bookSeat

      GET
      https://api.wepego.com/travel/bus/bookSeat
      Please pass blockTicketKey with url as param to book the bus, blockTicketKey u will get from block seat API response

      Request

      Query Params

      Header Params

      Body Params application/json

      Examples

      Responses

      ⚪0
      text/plain
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://api.wepego.com/travel/bus/bookSeat?blockTicketKey=PNRS0S232141805' \
      --header 'Token: ZKEYza2COHK0QVkcVkwUb6WeIgWiS' \
      --header 'checkSum: 739f448d1cc4f5bbbd048e68ba2b8885b0f8414ed4090ad967df7d15d7cdbbae' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "sourceCity": "Hyderabad",
          "destinationCity": "Chennai",
          "doj": "2020-09-21",
          "routeScheduleId": "23214",
          "boardingPoint": {
              "id": "2224",
              "location": "S.R Nagar,ABC Complex KAVERI TRAVELS OFFICE ,Ph No : 7799888678,7799888674",
              "time": "10:00PM"
          },
          "customerName": "test",
          "customerLastName": "testing",
          "customerEmail": "test@gmail.com",
          "customerPhone": "9999999999",
          "emergencyPhNumber": "8888888888",
          "customerAddress": "kphp",
          "blockSeatPaxDetails": [
              {
                  "age": "26",
                  "name": "test123",
                  "seatNbr": "3L",
                  "sex": "M",
                  "fare": 1280,
                  "totalFareWithTaxes": 1344,
                  "ladiesSeat": false,
                  "lastName": "test456",
                  "mobile": "7777777777",
                  "title": "Mr",
                  "email": "testing@gmail.com",
                  "idType": "PAN",
                  "idNumber": "AWk123232",
                  "nameOnId": "test",
                  "primary": true,
                  "ac": false,
                  "sleeper": false
              }
          ],
          "inventoryType": 0
      }'
      Response Response Example
      {
          "status": "success",
          "callback_status": "Success",
          "tlid": "TB2020092116007054611F9E",
          "error": "",
          "message": "booking successful",
          "buspnr": "ABRS7322647",
          "BookingDetail": {
              "apiStatus": {
                  "message": "SUCCESS",
                  "success": true
              },
              "inventoryType": 0,
              "opPNR": "ABRS7322647",
              "commPCT": 0,
              "totalFare": 1344,
              "tripCode": null,
              "etstnumber": "ETS38B0PT10562"
          },
          "api_mode": "TEST"
      }
      Modified at 2026-08-29 13:16:25
      Previous
      blockSeat
      Next
      cancelTicket
      Built with